Closed Bug 1681941 Opened 10 months ago Closed 2 months ago

Tooltips on sheet indicator buttons are not shown for the second hover action if the sheet indicator focus is not removed

Categories

(Toolkit :: Printing, defect, P3)

Firefox 85
defect

Tracking

()

RESOLVED FIXED
92 Branch
Tracking Status
firefox85 --- wontfix
firefox92 --- fixed

People

(Reporter: Anca, Assigned: emalysz)

References

(Blocks 2 open bugs)

Details

(Whiteboard: [print2020] [old-ui-] )

Attachments

(2 files, 1 obsolete file)

Affected versions

  • 85.0a1 (2020-12-11)

Affected platforms

  • Windows 10
  • Ubuntu 18.04
  • macOS 10.15

Steps to reproduce

  1. Open any long page
  2. Hit Ctrl + P
  3. Hover the mouse on sheet indicator buttons

Expected result

  • Tooltip should be displayed on hover for every button

Actual result

  • Tooltip is displayed on hover only on the first hover action, regardless of the chosen button.

Regression range

  • Not a regression, introduced once with the sheet indicator implementation

Additional notes

  • Moving the cursor around while the button keeps its hover effect can trigger sporadically the tooltip

Suggested severity

  • S4
Has STR: --- → yes
Severity: -- → S4
Priority: -- → P3
Assignee: nobody → emalysz
Status: NEW → ASSIGNED

Moving things to 88, cause we're mostly on Proton these days…

Whiteboard: [print2020_v86] [old-ui-] → [print2020_v88] [old-ui-]
Attachment #9195299 - Attachment is obsolete: true
Pushed by emalysz@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/950e472e6ba5
ensure nsXULTooltipListener shows tooltips when entering new target nodes r=smaug

Backed out for failures on browser_preview_navigation.js

backout: https://hg.mozilla.org/integration/autoland/rev/56e083932986a9f99af482e9026d2a694baa4929

push: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&selectedTaskRun=LD0rlgp9RP6DnEEVmzcBdA.0&revision=950e472e6ba51be30b3c273d4d78f59a355fe4b2

failure log: https://treeherder.mozilla.org/logviewer?job_id=329439168&repo=autoland&lineNumber=3534

[task 2021-02-10T00:27:06.696Z] 00:27:06 INFO - TEST-PASS | toolkit/components/printing/tests/browser_preview_navigation.js | Sheet indicator has correct value -
[task 2021-02-10T00:27:06.697Z] 00:27:06 INFO - Buffered messages logged at 00:25:27
[task 2021-02-10T00:27:06.697Z] 00:27:06 INFO - Leaving test bound testPaginatorAfterSettingsUpdate
[task 2021-02-10T00:27:06.697Z] 00:27:06 INFO - Entering test bound testTooltips
[task 2021-02-10T00:27:06.697Z] 00:27:06 INFO - withTestPage: http://example.com/browser/toolkit/components/printing/tests/longerArticle.html
[task 2021-02-10T00:27:06.697Z] 00:27:06 INFO - Buffered messages logged at 00:25:28
[task 2021-02-10T00:27:06.698Z] 00:27:06 INFO - Initial mouse move to end navigation button
[task 2021-02-10T00:27:06.699Z] 00:27:06 INFO - Waiting
[task 2021-02-10T00:27:06.699Z] 00:27:06 INFO - Buffered messages finished
[task 2021-02-10T00:27:06.699Z] 00:27:06 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/printing/tests/browser_preview_navigation.js | Test timed out -
[task 2021-02-10T00:27:06.700Z] 00:27:06 INFO - GECKO(2405) | MEMORY STAT | vsize 130551198MB | residentFast 2813MB
[task 2021-02-10T00:27:06.700Z] 00:27:06 INFO - TEST-OK | toolkit/components/printing/tests/browser_preview_navigation.js | took 120097ms

Also failing: https://treeherder.mozilla.org/logviewer?job_id=329439044&repo=autoland&lineNumber=3955

Flags: needinfo?(emalysz)
Whiteboard: [print2020_v88] [old-ui-] → [print2020] [old-ui-]
Pushed by emalysz@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f8061ad44728
ensure nsXULTooltipListener shows tooltips when entering new target nodes r=smaug

Backed out for failures on browser_preview_navigation.js

[task 2021-07-30T00:53:27.164Z] 00:53:27     INFO - TEST-PASS | toolkit/components/printing/tests/browser_preview_navigation.js | Tooltip shows correct text - 
[task 2021-07-30T00:53:27.165Z] 00:53:27     INFO - Initial mouse move to next navigation button
[task 2021-07-30T00:53:27.165Z] 00:53:27     INFO - Waiting
[task 2021-07-30T00:53:27.165Z] 00:53:27     INFO - Buffered messages finished
[task 2021-07-30T00:53:27.166Z] 00:53:27     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/printing/tests/browser_preview_navigation.js | Test timed out - 
[task 2021-07-30T00:53:27.166Z] 00:53:27     INFO - GECKO(6164) | [Parent 11040, Main Thread] WARNING: Unknown color for nsLookAndFeel: file /builds/worker/checkouts/gecko/widget/windows/nsLookAndFeel.cpp:347
[task 2021-07-30T00:53:27.167Z] 00:53:27     INFO - GECKO(6164) | [Parent 11040, Main Thread] WARNING: Unknown color for nsLookAndFeel: file /builds/worker/checkouts/gecko/widget/windows/nsLookAndFeel.cpp:347
[task 2021-07-30T00:53:27.167Z] 00:53:27     INFO - GECKO(6164) | [Parent 11040, Main Thread] WARNING: Unknown color for nsLookAndFeel: file /builds/worker/checkouts/gecko/widget/windows/nsLookAndFeel.cpp:347
[task 2021-07-30T00:53:27.168Z] 00:53:27     INFO - GECKO(6164) | [Parent 11040, Main Thread] WARNING: Unknown color for nsLookAndFeel: file /builds/worker/checkouts/gecko/widget/windows/nsLookAndFeel.cpp:347
[..]
[task 2021-07-30T00:53:27.206Z] 00:53:27     INFO - TEST-OK | toolkit/components/printing/tests/browser_preview_navigation.js | took 90136ms
[task 2021-07-30T00:53:27.206Z] 00:53:27     INFO - Not taking screenshot here: see the one that was previously logged
[task 2021-07-30T00:53:27.206Z] 00:53:27     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/printing/tests/browser_preview_navigation.js | Found a tab after previous test timed out: http://example.com/browser/toolkit/components/printing/tests/longerArticle.html -
Flags: needinfo?(emalysz)
Flags: needinfo?(emalysz)
Pushed by emalysz@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d5c23cd282fd
ensure nsXULTooltipListener shows tooltips when entering new target nodes r=smaug
Status: ASSIGNED → RESOLVED
Closed: 2 months ago
Resolution: --- → FIXED
Target Milestone: --- → 92 Branch
Flags: needinfo?(emalysz)
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.